Subject: bug#25005: 25.1; Support disabling bracketed paste mode.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Nov 2016 18:06:45 +0200

> From: Jay Lee <[email-masked]>
> Date: Thu, 24 Nov 2016 09:27:31 +0900
> Cc: [email-masked]
> 
> If I start from emacs -q, It works well.
> I checked again yesterday, I found reason about this issue.
> 
> (global-set-key (kbd "M-[") 'previous-multiframe-window) this keybindings affect this issue.
> after removing this configuration, It works well. Not added “200~201~” I don't understand why is this reason. I think It is just keybinding.

The bracketed paste sequence also starts with M-[, so when you paste,
Emacs invokes previous-multiframe-window instead of the function that
handles the paste.  The function that handles the paste knows about
the “200~201~” stuff, and removes it from the pasted text.  But
previous-multiframe-window doesn't.

> So in this case, is my emacs bracketed paste mode disabled?

No, I think it's enabled.  That's why you get those garbled characters
when you paste.

> if so I want to know why bracketed paste mode is disabled. I just remove configuration for keybinding.

When you remove the key binding, bracketed pastes should work
correctly.  Do they?

> And is there way to turn off bracketed paste mode officially?

No, not yet.  Not through Emacs, anyway.